Package org.apache.tapestry5.modules

# Class InternalModule

java.lang.Object
org.apache.tapestry5.modules.InternalModule

@Marker(Core.class) public class InternalModule extends Object
`TapestryModule` has gotten too complicated and it is nice to demarkate public (and stable) from internal (and volatile).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `bind(ServiceBinder binder)`
  Bind all the private/internal services of Tapestry.
  `static CookieSink`
  `buildCookieSink(RequestGlobals requestGlobals)`
  `static CookieSource`
  `buildCookieSource(RequestGlobals requestGlobals)`
  `static void`
  `configureControlledPackagesFromComponentClassResolver(MappedConfiguration<String,ControlledPackageType> configuration, ComponentClassResolver resolver)`
  Contributes packages identified by `ComponentClassResolver.getControlledPackageMapping()`.
  `static void`
  `contributeLinkSource(OrderedConfiguration<LinkCreationListener2> configuration)`
  Contributes: LinkDecoration (instance of `LinkDecorationListener`) Triggers events for notifications about links

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InternalModule

    public InternalModule()

- ## Method Details

  - ### bind

    public static void bind(ServiceBinder binder)
    Bind all the private/internal services of Tapestry.

  - ### buildCookieSource

    public static CookieSource buildCookieSource(RequestGlobals requestGlobals)

  - ### buildCookieSink

    public static CookieSink buildCookieSink(RequestGlobals requestGlobals)

  - ### contributeLinkSource

    public static void contributeLinkSource(OrderedConfiguration<LinkCreationListener2> configuration)
    Contributes:
    LinkDecoration (instance of `LinkDecorationListener`)
      Triggers events for notifications about links
    Since:
      5.2.0

  - ### configureControlledPackagesFromComponentClassResolver

    @Contribute(ComponentInstantiatorSource.class) public static void configureControlledPackagesFromComponentClassResolver(MappedConfiguration<String,ControlledPackageType> configuration, ComponentClassResolver resolver)
    Contributes packages identified by `ComponentClassResolver.getControlledPackageMapping()`.
    Since:
      5.3